commit:     fa31a7183134c1990170d54483469a826d559b6c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  8 22:48:58 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Oct  8 22:53:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa31a718

sys-apps/fakeroot: bump to v1.25.3

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-apps/fakeroot/Manifest               |  1 +
 sys-apps/fakeroot/fakeroot-1.25.3.ebuild | 51 ++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sys-apps/fakeroot/Manifest b/sys-apps/fakeroot/Manifest
index 735adc12ed5..efb1cacb4c7 100644
--- a/sys-apps/fakeroot/Manifest
+++ b/sys-apps/fakeroot/Manifest
@@ -3,3 +3,4 @@ DIST fakeroot_1.23.orig.tar.xz 298080 BLAKE2B 
eac3da8486d57266f0f6af0479f0fcec5a
 DIST fakeroot_1.24.orig.tar.gz 522497 BLAKE2B 
fb08ed6512a3e26538662ceb28a197b85fd4a05c37b543529df6880e01c64bd774037bed1230bf7d7fe0bde798364c2fd0fcfab257fff4d3e6ae9800c076a5b0
 SHA512 
b15db7bbfb03264f294fb3b42813e17758b43ef7f121e55a24af9ec30ff3f4ec8eb0392db88133e56f9728b3828f6c1432d1e5d2e881a69d083ad444b9177487
 DIST fakeroot_1.25.1.orig.tar.gz 126880 BLAKE2B 
ea92815d005422ade80a91d1351c500614f7628b2173caf23bab2192f9395440ba4429ac773723c79a0f0205b7c750db9c1cecbefe7e9e2c442c8a92938df0cf
 SHA512 
0e340aacfb49558ee6719aa11aa297ccda2afe2f66209da8fa10e45ec7954d5db689717db38f30cdfb9d89b75ca63ec6aed42e2cc314fd25c60262aa735eab0d
 DIST fakeroot_1.25.2.orig.tar.gz 126876 BLAKE2B 
13c4457aed3d6df08fef0f3af6093eea05bcaedff280146a7d09e96a1e73d0615c2527ce32bc4999a0acc0478610241440ec9a70ee27860cd61d799f636c30d3
 SHA512 
3afc0d6c82bef4968f1eac293174d12f957788f173fa8b69753c422f0f3bb54e012d350eaa8e535501dd62185479c1d4cb1c6e3f605930ae5987a7f622c450c2
+DIST fakeroot_1.25.3.orig.tar.gz 126884 BLAKE2B 
a6a860a8714bb2a43f2820bc586cac38d25df8b8cb32b219064618c845d0308b57929108bd582b46c15b2fe4b2fc00d662ba72458a9e9ffcf7d035dce515eb55
 SHA512 
b54366ef82b49af414d7214d069a4bc7dd188dfa4f8e3121f6bd65fd67268b02346ff72e857087243ab0efe9fa82faaa9f9c3309cac4b5af0ea00908c2e5eb6e

diff --git a/sys-apps/fakeroot/fakeroot-1.25.3.ebuild 
b/sys-apps/fakeroot/fakeroot-1.25.3.ebuild
new file mode 100644
index 00000000000..eac32e7e954
--- /dev/null
+++ b/sys-apps/fakeroot/fakeroot-1.25.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="A fake root environment by means of LD_PRELOAD and SysV IPC (or 
TCP) trickery"
+HOMEPAGE="https://packages.qa.debian.org/f/fakeroot.html";
+SRC_URI="mirror://debian/pool/main/${PN:0:1}/${PN}/${P/-/_}.orig.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="acl debug static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       sys-libs/libcap
+       acl? ( sys-apps/acl )
+       test? ( app-arch/sharutils )"
+BDEPEND="app-text/po4a"
+
+DOCS="AUTHORS BUGS DEBUG README doc/README.saving"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_compile() {
+       # Create tranlated man pages
+       pushd doc &>/dev/null || die
+       po4a -v -k 0 --variable "srcdir=${S}/doc/" po4a/po4a.cfg || die
+       popd &>/dev/null || die
+
+       default
+}
+
+src_configure() {
+       export ac_cv_header_sys_acl_h=$(usex acl)
+
+       use debug && append-cppflags "-DLIBFAKEROOT_DEBUGGING"
+       econf \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -o -name '*.a' -delete || die
+}

Reply via email to